### Enumeration

# WebKit2 PolicyError

#### Declaration

    error-domain WebKit2.PolicyError

#### Description [src]

Enum values used to denote the various policy errors.

#### Members

`WEBKIT_POLICY_ERROR_FAILED`

  Generic load failure due to policy error.

  - Value: `199`
  - Available since: 4.1
`WEBKIT_POLICY_ERROR_CANNOT_SHOW_MIME_TYPE`

  Load failure due to unsupported mime type.

  - Value: `100`
  - Available since: 4.1
`WEBKIT_POLICY_ERROR_CANNOT_SHOW_URI`

  Load failure due to URI that can not be shown.

  - Value: `101`
  - Available since: 4.1
`WEBKIT_POLICY_ERROR_FRAME_LOAD_INTERRUPTED_BY_POLICY_CHANGE`

  Load failure due to frame load interruption by policy change.

  - Value: `102`
  - Available since: 4.1
`WEBKIT_POLICY_ERROR_CANNOT_USE_RESTRICTED_PORT`

  Load failure due to port restriction.

  - Value: `103`
  - Available since: 4.1

#### Type functions

###### webkit_policy_error_quark

Gets the quark for the domain of policy errors.